package com.zd.laboratory.onemachine.domain;

import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/7
 */
public class ApkLogVo extends ApkLog {

    @ApiModelProperty("apk文件上传地址")
    private String apkFileUpload;

    @ApiModelProperty("apk名称")
    private String apkName;

    @ApiModelProperty("apk版本")
    private String version;

    @ApiModelProperty("apk版本名称")
    private String versionName;

    @ApiModelProperty("1是一体机2学习内容")
    private Integer onepcType;

    @ApiModelProperty("一体机名称")
    private String hardName;

    @ApiModelProperty("实验室名称")
    private String subName;

    @ApiModelProperty("实验室id")
    private String[] subId;

    @ApiModelProperty("apk主键id")
    private Long apkId;

    @ApiModelProperty("部门id")
    private Long deptId;

    public String getApkFileUpload() {
        return apkFileUpload;
    }

    public void setApkFileUpload(String apkFileUpload) {
        this.apkFileUpload = apkFileUpload;
    }

    public String getApkName() {
        return apkName;
    }

    public void setApkName(String apkName) {
        this.apkName = apkName;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getHardName() {
        return hardName;
    }

    public void setHardName(String hardName) {
        this.hardName = hardName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Integer getOnepcType() {
        return onepcType;
    }

    public void setOnepcType(Integer onepcType) {
        this.onepcType = onepcType;
    }

    public String[] getSubId() {
        return subId;
    }

    public void setSubId(String[] subId) {
        this.subId = subId;
    }

    public Long getApkId() {
        return apkId;
    }

    public void setApkId(Long apkId) {
        this.apkId = apkId;
    }

    @Override
    public Long getDeptId() {
        return deptId;
    }

    @Override
    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }
}
